Subject: Re: Apache obatined in Cygwin Setup is FOREIGN
From: "George Hester" <[email-masked]>
To: [email-masked]
Date: Fri, 19 Mar 2004 23:49:05 -0500

I forgot.  I have to override this newsreader and often I forget.  I hope this is better.  Believe me the stuff it puts in that causes you the trouble I do NOT mean to do intentionally.  Lets see:

I double-click the Cygwin icon on the desktop.  I go into the default bash shell.  I type \usr\sbin\httpd  I then try logout and Cygwin hangs.  Not sure of the version of Cygwin...I think it just updated when I ran setup a moment ago.

I'll try changing to en with the other language prefs and see if there is a change.

George Hester
__________________________________
"Igor Pechtchanski" wrote in message news:[email-masked]...
> George,
> 
> Please change either your style of reply quoting or your signature.  I had
> to jump through hoops to be able to include the full thread history in my
> reply, as pine kept cutting it off at the '-- ' in your signature.  Also,
> please try not to quote raw e-mail addresses in your replies.  More below.
> 
> On Fri, 19 Mar 2004, George Hester wrote:
> 
> > Igor Pechtchanski wrote:
> > > On Fri, 19 Mar 2004, George Hester wrote:
> > >
> > > > I downloaded and installed the Apache Server from the Cygwin setup.
> > > > It's in Chinese and Russian.  At least the index.html is NOT English.
> > > > How do I remove this and get the English version?  Thanks.
> > >
> > > Apache comes with the index.html page in multiple languages.  It selects
> > > the page to display based on your browser's accepted language preference.
> > > Try telnetting to the apache port and requesting 'GET / HTTP/1.0', and see
> > > which page is returned.
> > > Igor
> >
> > OK Igor I can try that.  I actually have a few language prefs in my
> > browser.  I suppose if I remove the non-English ones that may fix it.
> > But you know this is not right.  Apache should pull out the language
> > pref from the top which is English (US) in my case en-us.  There must be
> > a setting that is incorrect where the Apache is looking at 2nd 3rd pref
> > instead of 1st pref.
> 
> I've just verified that Cygwin's Apache (which is version 1.3.29) doesn't
> recognize "en-US" (but does recognize "en").  This may be a bug in
> Apache...
> 
> > Let me see what happens when I remove the other language prefs...yup
> > that did it.  The secondary and tertiary language prefs are interfering.
> 
> Try adding "en" after "en-US"...
> 
> > Another thing I am noticing.  When I start the Apache server logout no
> > lomger works in Cygwin.  The bash shell just hangs.  In fact it has hung
> > through the entire write of this post.  I have to kill the Cygwin
> > session by "X" the command console window.
> 
> I don't see this on Win2k SP3, Cygwin 1.5.8.  But then, I run apache as a
> service.  You didn't provide enough information to allow others to attempt
> to reproduce this.  Please review the Cygwin problem reporting guidelines
> at <http://cygwin.com/problems.html> and try again...  Make sure to
> provide the exact sequence of actions that results in the hang.
> Igor
> -- 
> http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_ [email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_ [email-masked]
>      |,4-  ) )-,_. ,\ (  `'-' Igor Pechtchanski, Ph.D.
>     '---''(_/--'  `-'\_) fL a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> "I have since come to realize that being between your mentor and his route
> to the bathroom is a major career booster."  -- Patrick Naughton
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/